<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\View;


class WssFormular1View extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/wss/formular_1.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->column);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpColumn($this->viewModel->datamodul, true, $this->viewModel->requestPrefix);
  }

  public function show()
  {
    $result = $this->getHeader();
    $result .= $this->getBody();
    $result .= $this->getFooter();

    return $result;
  }
}

class WssFormular1ViewModel
{
  public $datamodul;
  public $column;
  public $requestPrefix;
}